from dataclasses import dataclass
from datetime import datetime


@dataclass(frozen=True)
class TimeFormat:
    """Store a DateTime object and separate it into standard strings."""

    date_time: datetime = datetime.now()

    # Standard strings that can be used consistently.
    date = str(date_time.date())
    year = str(date_time.year)
    month_num = str(date_time.month).zfill(2)
    month_name = date_time.strftime("%M")
    day_num = str(date_time.day).zfill(2)
    day_name = date_time.strftime("%A")
    time = date_time.strftime("%H:%M:%S")
